> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-belgeleri/geopard-api-isteklerine-genel-bakis/3.-sorgu-satelliteimages-ogelerini-al.md).

# 3. Sorgu: "SatelliteImages" öğelerini al

"Tarla" için tanımlı bir bulut eşiği ile "UyduGörüntüleri"ni alın.

İpuçları:&#x20;

* "Kullanıcı" için erişilebilir tüm "Çiftlikleri" okuyun - kaldırın *(*`farmUuids: ["d2bf8ef5-cde0-4500-b931-2edd0fb40781"`*`]`)*. Benzer işlem "Tarlalar", "UyduGörüntüleri", "VektörAnalizHaritası" ile.
* İzin verilen `geoMapType` kabul edilebilir değerlerle filtreleyin: `TÜMÜ`, `ORIGIN`, `KIRPILMIŞ`, `HAM`, `İŞLENMİŞ`, `KÜÇÜKRESİM`, `KONTRAST`
* İzin verilen tarih ile ilgili filtreler: `önce` ve `sonra` ait olan [AWSDate](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html) formatı. Filtrelerden yalnızca biri kullanılabilir. Daha fazla ayrıntı [BURADA](/geopard-tutorials/tr/api-belgeleri/geopard-api-isteklerine-genel-bakis/37.-sorgu-belirlenen-aralikta-satelliteimages-i-al.md).
* İzin verilen `provider` kabul edilebilir değerlerle filtreleyin: `PS`, `S2`, `L9`, `L8`, `L7`, `L5`, `L4`
* İzin verilen `eşik` filtre bulut örtüsünü vurgular: "1" bulutsuz, "0" - tamamen bulutlu anlamına gelir.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
sorgu GetFieldSatelliteImagesViaGetFields {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    isim
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      isim
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        bulutsuzArazi
        geoHaritalar {
          kısaAd
          url
          classes
          hexColorCodes
        }
        ndviOrtalama
        
        istatistikler {
          indeks
          min
          max
          avg
          mdn
          var
          std
        }
        
        CokYillikAnalizIcinOnerildi 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
sorgu GetFieldSatelliteImagesViaGetFarms {
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      isim
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        bulutsuzArazi
        geoHaritalar {
          kısaAd
          url
          classes
          hexColorCodes
        }
        ndviOrtalama
        
        istatistikler {
          indeks
          min
          max
          avg
          mdn
          var
          std
        } 
        
        CokYillikAnalizIcinOnerildi
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-belgeleri/geopard-api-isteklerine-genel-bakis/3.-sorgu-satelliteimages-ogelerini-al.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
